Robotsystem from Robot Group Leipzig: university_of_leipzig::robots Namespace Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Namespace List
- Namespace Members

# university_of_leipzig::robots Namespace Reference

## Classes
struct | Wire
class | OdeObject
class | IComponent
| Component. More...
class | AbstractComponent
| AbstractComponent. More...
class | AbstractCompoundComponent
| AbstractCompoundComponent. More...
class | SimplePhysicalComponent
| SimplePhysicalComponent. More...
class | AbstractMotorComponent
| AbstractMotorComponent. More...
class | MotorWire
class | UniversalMotorComponent
| UniversalMotorComponent. More...
class | RobotArmDescription
class | CCURobotArmComponent
| RobotArmComponent. More...
class | PlaneComponentDescription
class | SpiderDescription
class | SpiderComponent
## Typedefs
typedef Position | Angle
typedef std::list< Angle > | AngleList
typedef std::list< IComponent * > | ComponentList
typedef std::list< Wire * > | WireList
## Functions
OdeHandle | temp (NULL, NULL, NULL)
double | atan_ex (double x, double y)
| atan_ex
double | quat_mag (const dQuaternion q)
void | quat_norm (dQuaternion q)
void | quat_conj (dQuaternion q)
| conjugate_quaternion
void | quat_inv (dQuaternion q)
void | qv_mult (dVector3 v3_result, dQuaternion q, const dVector3 v3)
void | xxx_multiply (dVector3 v3_result, const dMatrix3 m33, const dVector3 v3)
| multiply
void | yyy_multiply (dVector3 v3_result, const dMatrix3 m33, const dVector3 v3)

## Typedef Documentation

typedef Position Angle

| Definition at line 82 of file component2.h.

typedef std::list< Angle > AngleList

| Definition at line 83 of file component2.h.

typedef std::list<IComponent*> ComponentList

| Definition at line 85 of file component2.h.

typedef std::list<Wire*> WireList

| Definition at line 86 of file component2.h.

## Function Documentation

double university_of_leipzig::robots::atan_ex | ( | double | x,
|  | double | y
| ) |

| atan_ex utility function, not used here - should be moved to another file Definition at line 657 of file component.cpp.

void university_of_leipzig::robots::quat_conj | ( | dQuaternion | q | ) |

| conjugate_quaternion Definition at line 699 of file component.cpp.

void university_of_leipzig::robots::quat_inv | ( | dQuaternion | q | ) |

| Definition at line 706 of file component.cpp.

double university_of_leipzig::robots::quat_mag | ( | const dQuaternion | q | ) |

| Definition at line 674 of file component.cpp.

void university_of_leipzig::robots::quat_norm | ( | dQuaternion | q | ) |

| Definition at line 684 of file component.cpp.

void university_of_leipzig::robots::qv_mult | ( | dVector3 | v3_result,
|  | dQuaternion | q,
|  | const dVector3 | v3
| ) |

| Definition at line 718 of file component.cpp.

OdeHandle university_of_leipzig::robots::temp | ( | NULL | ,
|  | NULL | ,
|  | NULL |
| ) |

void university_of_leipzig::robots::xxx_multiply | ( | dVector3 | v3_result,
|  | const dMatrix3 | m33,
|  | const dVector3 | v3
| ) |

| multiply is there some ode-multiply routine???!!! Definition at line 737 of file component.cpp.

void university_of_leipzig::robots::yyy_multiply | ( | dVector3 | v3_result,
|  | const dMatrix3 | m33,
|  | const dVector3 | v3
| ) |

| Definition at line 755 of file component.cpp.